package com.antai.sport.http.server.management.api.business.series.converter;

import com.antai.sport.http.server.management.api.business.series.dto.SeriesAreaDTO;
import com.antai.sport.http.server.management.api.business.series.dto.SeriesSaveDTO;
import com.antai.sport.http.server.repository.series.entity.Series;
import com.antai.sport.http.server.repository.series.entity.SeriesArea;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import java.util.List;

@Mapper(componentModel = "spring")
public interface SeriesConverter {
    @Mapping(source = "source.logo", target = "imgUrl")
    Series toSeries(SeriesSaveDTO source);

    List<SeriesAreaDTO> toSeriesAreaDTO(List<SeriesArea> source);

    List<SeriesArea> toSeriesArea(List<SeriesAreaDTO> source);
}
